Directory sync using Iroh
===========

Installation
---

Clone the project:
```shell
git clone https://git.42d.io/yurii/Iroh_sync
```
Install dependencies:
```shell
cd crabmail && cargo install --path .
```
Build and run(it will connect to the existing ticket):
```shell
cargo run --release {path to sync} {ticket}
```
Build and run(it will create a new ticket and print it):
```shell
cargo run --release {path to sync}
```
<br>
After running, the program starts monitoring every change in the specified directory and syncs it with other peers. Moreover, it creates .iroh-data folder and persists all the changes locally as well as remotely.

Note
---
There are some improvements marked with //TODO in the code. Additionally, the ticket might be stored in the database used for the login system.